Cyberduck Mountain Duck CLI

#6381 closed defect (duplicate)

Problem on Mac,

Reported by: LKR Owned by: LKR
Priority: highest Milestone:
Component: core Version: 4.1.3
Severity: critical Keywords: Doesnt work
Cc: Architecture: Intel
Platform: Mac OS X 10.5

Description

Hi there,

Just wanted to let you know that your Cyberduck Ver.4.1.3. does not open on my Mac, it also doesnt open on any other Macs. This seems to be a problem in your program... Hope this can be fixed. Best, LKR

Change History (5)

comment:1 Changed on Nov 23, 2011 at 10:13:28 AM by dkocher

Can you find any related output in the system.log (/Applications/Utilities/Console.app)?

comment:2 Changed on Nov 23, 2011 at 4:11:04 PM by LKR

Hi, thanks for the reply. This is what appears in the system.log:

 Wednesday, November 23, 2011 11:09:34 AM Canada/Eastern 
Nov 23 11:09:39 loki-krakower-rileys-macbook-pro [0x0-0x1b81b8].ch.sudo.cyberduck[2962]: [LaunchRunner Error] ch.cyberduck.ui.cocoa.MainApplication.main(String[]) threw an exception:
Nov 23 11:09:39 loki-krakower-rileys-macbook-pro [0x0-0x1b81b8].ch.sudo.cyberduck[2962]: java.lang.UnsatisfiedLinkError: no jnidispatch in java.library.path
Nov 23 11:09:39 loki-krakower-rileys-macbook-pro [0x0-0x1b81b8].ch.sudo.cyberduck[2962]: 	at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1755)
Nov 23 11:09:39 loki-krakower-rileys-macbook-pro [0x0-0x1b81b8].ch.sudo.cyberduck[2962]: 	at java.lang.Runtime.loadLibrary0(Runtime.java:822)
Nov 23 11:09:39 loki-krakower-rileys-macbook-pro [0x0-0x1b81b8].ch.sudo.cyberduck[2962]: 	at java.lang.System.loadLibrary(System.java:993)
Nov 23 11:09:39 loki-krakower-rileys-macbook-pro [0x0-0x1b81b8].ch.sudo.cyberduck[2962]: 	at com.sun.jna.Native.loadNativeLibrary(Native.java:669)
Nov 23 11:09:39 loki-krakower-rileys-macbook-pro [0x0-0x1b81b8].ch.sudo.cyberduck[2962]: 	at com.sun.jna.Native.<clinit>(Native.java:118)
Nov 23 11:09:39 loki-krakower-rileys-macbook-pro [0x0-0x1b81b8].ch.sudo.cyberduck[2962]: 	at org.rococoa.Foundation.<clinit>(Foundation.java:73)
Nov 23 11:09:39 loki-krakower-rileys-macbook-pro [0x0-0x1b81b8].ch.sudo.cyberduck[2962]: 	at org.rococoa.Rococoa.createClass(Rococoa.java:49)
Nov 23 11:09:39 loki-krakower-rileys-macbook-pro [0x0-0x1b81b8].ch.sudo.cyberduck[2962]: 	at org.rococoa.cocoa.foundation.NSObject.<clinit>(NSObject.java:28)
Nov 23 11:09:39 loki-krakower-rileys-macbook-pro [0x0-0x1b81b8].ch.sudo.cyberduck[2962]: 	at ch.cyberduck.ui.cocoa.MainApplication.main(MainApplication.java:49)
Nov 23 11:09:39 loki-krakower-rileys-macbook-pro [0x0-0x1b81b8].ch.sudo.cyberduck[2962]: 	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
Nov 23 11:09:39 loki-krakower-rileys-macbook-pro [0x0-0x1b81b8].ch.sudo.cyberduck[2962]: 	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
Nov 23 11:09:39 loki-krakower-rileys-macbook-pro [0x0-0x1b81b8].ch.sudo.cyberduck[2962]: 	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
Nov 23 11:09:39 loki-krakower-rileys-macbook-pro [0x0-0x1b81b8].ch.sudo.cyberduck[2962]: 	at java.lang.reflect.Method.invoke(Method.java:592)
Nov 23 11:09:39 loki-krakower-rileys-macbook-pro [0x0-0x1b81b8].ch.sudo.cyberduck[2962]: 	at apple.launcher.LaunchRunner.run(LaunchRunner.java:115)
Nov 23 11:09:39 loki-krakower-rileys-macbook-pro [0x0-0x1b81b8].ch.sudo.cyberduck[2962]: 	at apple.launcher.LaunchRunner.callMain(LaunchRunner.java:50)
Nov 23 11:09:39 loki-krakower-rileys-macbook-pro [0x0-0x1b81b8].ch.sudo.cyberduck[2962]: 	at apple.launcher.JavaApplicationLauncher.launch(JavaApplicationLauncher.java:52)

Last edited on Nov 23, 2011 at 4:13:27 PM by dkocher (previous) (diff)

comment:3 Changed on Nov 23, 2011 at 4:15:15 PM by dkocher

  • Resolution set to duplicate
  • Status changed from new to closed

Duplicate for #6242. Try to reinstall Java for Mac OS X 10.5 Update 10 or upgrade to the latest snapshot build of Cyberduck.

Last edited on Nov 23, 2011 at 4:15:44 PM by dkocher (previous) (diff)

comment:4 Changed on Nov 23, 2011 at 4:17:29 PM by LKR

Ok, thank you.

comment:5 Changed on Sep 26, 2012 at 4:58:27 PM by dkocher

  • Milestone 4.3 deleted
Note: See TracTickets for help on using tickets.
swiss made software